"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XmlProcessingInstruction = void 0;
const XmlNode_js_1 = require("./XmlNode.js");
/**
 * A processing instruction within an XML document.
 */
class XmlProcessingInstruction extends XmlNode_js_1.XmlNode {
    constructor(name, content = '') {
        super();
        this.name = name;
        this.content = content;
    }
    get type() {
        return XmlNode_js_1.XmlNode.TYPE_PROCESSING_INSTRUCTION;
    }
    toJSON() {
        return Object.assign(XmlNode_js_1.XmlNode.prototype.toJSON.call(this), {
            name: this.name,
            content: this.content,
        });
    }
}
exports.XmlProcessingInstruction = XmlProcessingInstruction;
//# sourceMappingURL=XmlProcessingInstruction.js.map